Package org.apache.cayenne.di

# Interface ListBuilder<T>

Type Parameters:
  `T` - A type of list values.

public interface ListBuilder<T>
A binding builder for list configurations.

Since:
  3.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListBuilder<T>`
  `add(Class<? extends T> interfaceType)`
  `ListBuilder<T>`
  `add(T value)`
  `ListBuilder<T>`
  `addAfter(Class<? extends T> interfaceType, Class<? extends T> afterType)`
  `ListBuilder<T>`
  `addAfter(T value, Class<? extends T> afterType)`
  `ListBuilder<T>`
  `addAll(Collection<T> values)`
  `ListBuilder<T>`
  `addAllAfter(Collection<T> values, Class<? extends T> afterType)`
  `void`
  `in(Scope scope)`
  `ListBuilder<T>`
  `insertAllBefore(Collection<T> values, Class<? extends T> afterType)`
  `ListBuilder<T>`
  `insertBefore(Class<? extends T> interfaceType, Class<? extends T> beforeType)`
  `ListBuilder<T>`
  `insertBefore(T value, Class<? extends T> beforeType)`
  `void`
  `withoutScope()`

- ## Method Details

  - ### add

    ListBuilder<T> add(Class<? extends T> interfaceType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`

  - ### add

    ListBuilder<T> add(T value) throws DIRuntimeException
    Throws:
      `DIRuntimeException`

  - ### addAll

    ListBuilder<T> addAll(Collection<T> values) throws DIRuntimeException
    Throws:
      `DIRuntimeException`

  - ### addAfter

    ListBuilder<T> addAfter(Class<? extends T> interfaceType, Class<? extends T> afterType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### addAfter

    ListBuilder<T> addAfter(T value, Class<? extends T> afterType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### addAllAfter

    ListBuilder<T> addAllAfter(Collection<T> values, Class<? extends T> afterType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### insertBefore

    ListBuilder<T> insertBefore(Class<? extends T> interfaceType, Class<? extends T> beforeType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### insertBefore

    ListBuilder<T> insertBefore(T value, Class<? extends T> beforeType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### insertAllBefore

    ListBuilder<T> insertAllBefore(Collection<T> values, Class<? extends T> afterType) throws DIRuntimeException
    Throws:
      `DIRuntimeException`
    Since:
      4.0

  - ### in

    void in(Scope scope)

  - ### withoutScope

    void withoutScope()
    Since:
      4.1